locked
Sync Framework Version Confusion Windows Mobile 5.0 RRS feed

  • Question

  • Hi,

    I have a database app running on a Windows Mobile 5.0 device, I wish to be able to sync databases (SQL Server CE 3.5 SP2) with a desktop application running Windows 7. The sync will take place only on the desktop after copying the database from the device to the desktop, sync then copy the file back to the device. What versions of 'Microsoft Synchronization Services', 'Microsoft Sync Framework' can I use? Both device & desktop apps need to read/write to the database.

    I know Microsoft Synchronization Services ADO.NET v1.0 is supported on a Windows Mobile 5.0 device but are any newer or other versions supported?

    e.g. Microsoft Sync Framework 2.1 ADO.NET V3.1?, Sync Framework 2.0?, Sync Framework ToolKit?

    Information on the Microsoft websites is totally confusing.

    Any help appreciated.

    Thanks

    Paul.


    Paul Wainwright

    Friday, March 14, 2014 11:08 PM

Answers

  • You're running the sync on the desktop, not from the mobile device. Sync Fx 2.0/2.1 should work.

    Sync FX toolkit is designed for clients that can't install the full Sync Fx SDK like HTML5, WP, SL, WinRT, etc...

    • Marked as answer by pr_wainwright Thursday, May 8, 2014 2:24 PM
    Thursday, May 8, 2014 2:11 PM

All replies

  • You're running the sync on the desktop, not from the mobile device. Sync Fx 2.0/2.1 should work.

    Sync FX toolkit is designed for clients that can't install the full Sync Fx SDK like HTML5, WP, SL, WinRT, etc...

    • Marked as answer by pr_wainwright Thursday, May 8, 2014 2:24 PM
    Thursday, May 8, 2014 2:11 PM
  • Thanks JuneT

    Paul Wainwright

    Thursday, May 8, 2014 2:24 PM